Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class ComponentAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.ComponentAction

All Implemented Interfaces:
  ComponentListener, EventListener

Direct Known Subclasses:
  DesktopResizeAction

public class ComponentAction
extends AbstractAction
implements ComponentListener

Actionimplementierung fuer ComponentEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`ComponentAction()`

Method Summary
`void` | `componentHidden(ComponentEvent ce)`
`void` | `componentMoved(ComponentEvent ce)`
`void` | `componentResized(ComponentEvent ce)`
`void` | `componentShown(ComponentEvent ce)`
`void` | `doComponentHidden(ComponentEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doComponentMoved(ComponentEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doComponentResized(ComponentEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doComponentShown(ComponentEvent ce)` Abgeleitete Klassen müssen diese Methode ueberschreiben.

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAction

    public ComponentAction()

Method Detail

### componentResized

    public void componentResized(ComponentEvent ce)

  Specified by:
    `componentResized` in interface `ComponentListener`

### doComponentResized

    public void doComponentResized(ComponentEvent ce)
                            throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### componentMoved

    public void componentMoved(ComponentEvent ce)

  Specified by:
    `componentMoved` in interface `ComponentListener`

### doComponentMoved

    public void doComponentMoved(ComponentEvent ce)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### componentShown

    public void componentShown(ComponentEvent ce)

  Specified by:
    `componentShown` in interface `ComponentListener`

### doComponentShown

    public void doComponentShown(ComponentEvent ce)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### componentHidden

    public void componentHidden(ComponentEvent ce)

  Specified by:
    `componentHidden` in interface `ComponentListener`

### doComponentHidden

    public void doComponentHidden(ComponentEvent ce)
                           throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ce` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD